Bug 107980 - undefined symbol crashes nautilus
Summary: undefined symbol crashes nautilus
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: librsvg2   
(Show other bugs)
Version: rawhide
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-25 14:38 UTC by Dr. Peter Boy
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version: 2.4.0-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-26 00:10:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dr. Peter Boy 2003-10-25 14:38:17 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.4.1) Gecko/20031009

Description of problem:
After upgrading a fresh install of FC test 3 to the Rawhide status per
20003-10-24, which installs librsvg2-2.4.0-2 and nautilus-2.4.0-5, each double
click on one of the desktop icons crashes nautilus, it seems to restart in a way
but without showing any icon on the desktop and without the ability to use the
right mouse button over the desktop area to bring up the desktop context menu.

There is no error message, but in .xsession-errors you will find:

nautilus: relocation error: /usr/lib/librsvg-2.so.2: undefined
symbol:cr_doc_handler_new
(msg repeated 5 times)

*Sometimes* nautilus crashes with a message about a segmentation fault
("Speicherzugriffsfehler" in German)  -  see bug 107652. If you receive this
message, you will find no entry in .xsession-errors.

Version-Release number of selected component (if applicable):
librsvg2-2.4.0-2

How reproducible:
Always

Steps to Reproduce:
1. Install FC test 3 from iso images and immediately upgrade to Rawhide as of
2003-10-24, which will install librsvg2-2.4.0-2 and nautilus-2.4.0-5
2. Log in and double click onto one of the desktop icons.
3.
    

Actual Results:  Nautilus crashes.

Additional info:

May be a relationship to bug 107652

Comment 1 Dr. Peter Boy 2003-10-26 00:10:46 UTC
librsvg2-2.4.0-3 fixed the problem.


Note You need to log in before you can comment on or make changes to this bug.